Subject: Re: bug#39649: 27.0.60; tab-line doesn't scroll

From: João Guerra <[email-masked]>
Date: Thu, 5 Mar 2020 09:04:37 +0100

Ok, but how does that impact the characters sizes being different?

On Thu, 5 Mar 2020, 01:22 Juri Linkov, <[email-masked]> wrote:

> > I came across something that feels a bit odd in tab-line, maybe you
> > can explain it.
> >
> > I've been playing around with tab-line-format and noticed that what
> > gets displayed in the tab-line actually differs based on whether you
> > are using the `tab-line' face or not.
> >
> > See the attached picture. Both Emacs were launched with -Q. Although
> > the face definition is the same in both situations the result is
> > different. Specially the rendered size of the characters.
>
> This is how mode-line/header-line/tab-line work - they always use
> hard-coded faces with names 'mode-line', 'header-line', 'tab-line',
> so you can override face definitions only by customizing these faces.
>